> For the complete documentation index, see [llms.txt](https://docs.besmart.software/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.besmart.software/3d-modeling-and-design/metal-framing/faq/family-libraries/can-i-use-my-own-framing-families.md).

# Can I use my own framing families?

No, we don't recommend using your own families with our Framing Configurations.

Instead, use our family libraries which you can easily load into your projects. This is because our families include parameters and geometries that are designed to work with the Metal Framing solution.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>How to create new framing family types?</td><td><a href="/3d-modeling-and-design/metal-framing/faq/family-libraries/how-to-manually-create-new-profile-sizes.md">How to manually create new profile sizes?</a></td></tr><tr><td>What is the difference between C+U, C+C_CH and C+C families?</td><td><a href="/3d-modeling-and-design/metal-framing/faq/family-libraries/what-is-the-difference-between-c+u-c+c_ch-and-c+c-families.md">What is the difference between C+U, C+C_CH and C+C families?</a></td></tr></tbody></table>

{% hint style="success" %}
You can modify our family types and families themselves (for example, nested profiles).
{% endhint %}

Learn more about our families in the tutorial below.

{% embed url="<https://www.youtube.com/watch?v=jyutWz2FmK4>" %}

***

{% hint style="info" %}
If you can't find the answers you're looking for, please [contact our support team](https://emea.support.arkance.world/hc/en-gb/requests/new).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.besmart.software/3d-modeling-and-design/metal-framing/faq/family-libraries/can-i-use-my-own-framing-families.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
